al_draw_elliptical_arc(3)

NAME

al_draw_elliptical_arc - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_primitives.h>
    void al_draw_elliptical_arc(float cx, float cy, float rx, float ry, float start_theta,
       float delta_theta, ALLEGRO_COLOR color, float thickness)

DESCRIPTION

Draws an elliptical arc.

Parameters:

•   cx, cy - Center of the arc

•   rx, ry - Radii of the arc

•   color - Color of the arc

•   start_theta - The initial angle from which the arc is calculated in radians

•   delta_theta - Angular span of the arc in radians (pass a negative number to switch direction)

•   thickness - Thickness of the arc, pass <= 0 to draw hairline arc

SINCE

5.0.6, 5.1.0

SEE ALSO

al_calculate_arc(3), al_draw_arc(3)